Push notifications
API reference descriptions are provided in English to preserve the exact published contract.
- GETList the signed-in user's registered browsers in this account and environment
push.subscriptions.list - POSTRegister this browser for push notifications
push.subscriptions.create - DELETEWithdraw this browser's push subscription
push.subscriptions.delete - GETThe public key a browser subscribes with
push.vapid.list
List the signed-in user's registered browsers in this account and environment
GET/v1/accounts/{AC}/push/subscriptions
push.subscriptions.listSDK operation getV1AccountsByAcPushSubscriptions
Parameters
limitinteger (1–100)querycursorstring (max 2048 chars)query
Register this browser for push notifications
POST/v1/accounts/{AC}/push/subscriptions
push.subscriptions.createSDK operation postV1AccountsByAcPushSubscriptions
Request body
endpointstring (max 2048 chars)RequiredkeysobjectRequiredShow 2 child attributes
authstring (max 64 chars)Requiredp256dhstring (max 200 chars)Required
userAgentstring (max 512 chars)
Withdraw this browser's push subscription
DELETE/v1/accounts/{AC}/push/subscriptions
push.subscriptions.deleteSDK operation deleteV1AccountsByAcPushSubscriptions
Request body
endpointstring (max 2048 chars)Required
The public key a browser subscribes with
GET/v1/accounts/{AC}/push/vapid
push.vapid.listSDK operation getV1AccountsByAcPushVapid